"""
// © University of Southampton IT Innovation Centre, 2018
//
// Copyright in this software belongs to University of Southampton
// IT Innovation Centre of Gamma House, Enterprise Road,
// Chilworth Science Park, Southampton, SO16 7NS, UK.
//
// This software may not be used, sold, licensed, transferred, copied
// or reproduced in whole or in part in any manner or form or in or
// on any media by any person other than in accordance with the terms
// of the Licence Agreement supplied with the software, or otherwise
// without the prior written consent of the copyright owners.
//
// This software is distributed WITHOUT ANY WARRANTY, without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE, except where stated in the Licence Agreement supplied with
// the software.
//
//      Created By :            Nikolay Stanchev
//      Created Date :          15-05-2018
//      Created for Project :   FLAME
"""

def str_to_bool(value):
    """
    A utility function to convert a string to boolean based on simple rules.
    :param value: the value to convert
    :return: True or False
    :raises ValueError: if value cannot be converted to boolean
    """

    if type(value) is not str:
        raise ValueError("This method only converts string to booolean.")

    if value in ('False', 'false', '0'):
        return False
    elif value in ('True', 'true', '1'):
        return True
    else:
        raise ValueError("Invalid argument for conversion")
